org.optaplanner.core.impl.score.stream.drools.tri

## Class DroolsTriCondition<A,B,C>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.tri.DroolsTriCondition<A,B,C>

-     public final class DroolsTriCondition<A,B,C>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsTriCondition(DroolsMetadata<Object,A> aMetadata, DroolsMetadata<Object,B> bMetadata, DroolsMetadata<Object,C> cMetadata)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DroolsTriCondition<A,B,C>` | `andFilter(TriPredicate<A,B,C> predicate)`
    `List<<any>>` | `completeWithScoring(<any> scoreHolderGlobal)`
    `List<<any>>` | `completeWithScoring(<any> scoreHolderGlobal, ToIntTriFunction<A,B,C> matchWeighter)`
    `List<<any>>` | `completeWithScoring(<any> scoreHolderGlobal, ToLongTriFunction<A,B,C> matchWeighter)`
    `List<<any>>` | `completeWithScoring(<any> scoreHolderGlobal, TriFunction<A,B,C,BigDecimal> matchWeighter)`
    `DroolsMetadata<Object,A>` | `getAMetadata()`
    `DroolsMetadata<Object,B>` | `getBMetadata()`
    `DroolsMetadata<Object,C>` | `getCMetadata()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsTriCondition

          public DroolsTriCondition(DroolsMetadata<Object,A> aMetadata,
                                    DroolsMetadata<Object,B> bMetadata,
                                    DroolsMetadata<Object,C> cMetadata)

  - ### Method Detail

    - #### getAMetadata

          public DroolsMetadata<Object,A> getAMetadata()

    - #### getBMetadata

          public DroolsMetadata<Object,B> getBMetadata()

    - #### getCMetadata

          public DroolsMetadata<Object,C> getCMetadata()

    - #### andFilter

          public DroolsTriCondition<A,B,C> andFilter(TriPredicate<A,B,C> predicate)

    - #### completeWithScoring

          public List<<any>> completeWithScoring(<any> scoreHolderGlobal)

    - #### completeWithScoring

          public List<<any>> completeWithScoring(<any> scoreHolderGlobal,
                                                 ToIntTriFunction<A,B,C> matchWeighter)

    - #### completeWithScoring

          public List<<any>> completeWithScoring(<any> scoreHolderGlobal,
                                                 ToLongTriFunction<A,B,C> matchWeighter)

    - #### completeWithScoring

          public List<<any>> completeWithScoring(<any> scoreHolderGlobal,
                                                 TriFunction<A,B,C,BigDecimal> matchWeighter)

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.